<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<div layout:fragment="main" class="container">
    <div class="row justify-content-center mb-4">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header text-center p-3 bg-white">
                    <h3>Form Semester</h3>
                </div>
                <form th:action="@{/semester/simpan}" method="post" th:object="${semester}">
                <div class="card-body p-4">
                    <h4>Data Semester</h4>

                        <div class="row mb-3">
                            <label for="jenisSemester" class="col-sm-4 col-form-label">Jenis Semester</label>
                            <div class="col-sm-8">
                                <select class="form-select" name="jenisSemester" th:field="*{jenisSemester}" id="jenisSemester" aria-label="Default select example" required>
                                    <option th:value="${null}" selected disabled>- Pilih -</option>
                                    <option th:value="${'Genap'}">Genap</option>
                                    <option th:value="${'Ganjil'}">Ganjil</option>
                                </select>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="nama" class="col-sm-4 col-form-label">Nama Semester</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" th:field="*{namaSemester}" name="namaSemester" id="nama" required>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="tanggalBukaSemester" class="col-sm-4 col-form-label">Tanggal Dibuka Semester</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalBukaSemester}" name="tanggalBukaSemester" id="tanggalBukaSemester" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBSemesterDay"></span>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="tanggalTutupSemester" class="col-sm-4 col-form-label">Tanggal Ditutup Semester</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalTutupSemester}" name="tanggalTutupSemester" id="tanggalTutupSemester"  onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTSemesterDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertSemester">Tanggal tutup semester tidak boleh lebih kecil daripada tanggal buka semester.</span>
                            </div>

                        </div>

                        <div class="row mb-3" id="alertInfo" style="display: none;">
                            <div class="col-md-12">
                                <div class="alert alert-info">
                                    Info pengisian tanggal laporan, penilaian, perbaikan ulang dan penilaian ulang tidak boleh melebihi tanggal tutup semester.
                                </div>
                            </div>
                        </div>

                        <br>

                        <h4>Jadwal Input Laporan BKD</h4>
                        <div class="row mb-3">
                            <label for="tanggalBukaLaporan" class="col-sm-4 col-form-label">Tanggal Dibuka</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalBukaLaporan}" name="tanggalBukaLaporan" id="tanggalBukaLaporan" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBLaporanDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBuka">Tanggal buka laporan tidak boleh lebih kecil daripada tanggal buka semester.</span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTutup">Tanggal buka laporan tidak boleh melebihi tanggal tutup semester.</span>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="tanggalTutupSemester" class="col-sm-4 col-form-label">Tanggal Ditutup</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalTutupLaporan}" name="tanggalTutupLaporan" id="tanggalTutupLaporan" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTLaporanDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertLaporan">Tanggal tutup input laporan tidak boleh lebih kecil daripada tanggal buka laporan.</span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTutupLaporan">Tanggal tutup laporan tidak boleh melebihi tanggal tutup semester.</span>
                            </div>
                        </div>

                        <br>
                        <h4>Jadwal Penilaian oleh Asesor</h4>
                        <div class="row mb-3">
                            <label for="tanggalBukaPenilaian" class="col-sm-4 col-form-label">Tanggal Dibuka</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalBukaPenilaian}" name="tanggalBukaPenilaian" id="tanggalBukaPenilaian" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBPenilaianDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBPenilaian"></span>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="tanggalTutupPenilaian" class="col-sm-4 col-form-label">Tanggal Ditutup</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalTutupPenilaian}" name="tanggalTutupPenilaian" id="tanggalTutupPenilaian" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTPenilaianDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTPenilaian"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertPenilaian">Tanggal tutup input penilaian tidak boleh lebih kecil daripada tanggal buka penilaian asesor. </span>
                            </div>
                        </div>

                        <br>
                        <h4>Jadwal Perbaikan Ulang BKD</h4>
                        <div class="row mb-3">
                            <label for="tanggalBukaPerbaikan" class="col-sm-4 col-form-label">Tanggal Dibuka</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalBukaPerbaikan}" name="tanggalBukaPerbaikan" id="tanggalBukaPerbaikan" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBPerbaikanDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBPerbaikan"></span>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="tanggalTutupPerbaikan" class="col-sm-4 col-form-label">Tanggal Ditutup</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalTutupPerbaikan}" name="tanggalTutupPerbaikan" id="tanggalTutupPerbaikan" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTPerbaikanDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTPerbaikan"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertPerbaikan">Tanggal tutup perbaikan ulang tidak boleh lebih kecil daripada tanggal buka perbaikan ulang BKD.</span>
                            </div>
                        </div>

                        <br>
                        <h4>Jadwal Penilaian Ulang Asesor</h4>
                        <div class="row mb-3">
                            <label for="tanggalBukaPenilaianUlang" class="col-sm-4 col-form-label">Tanggal Dibuka</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalBukaPenilaianUlang}" name="tanggalBukaPenilaianUlang" id="tanggalBukaPenilaianUlang" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBUlangDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertBUlang"></span>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="tanggalTutupPenilaianUlang" class="col-sm-4 col-form-label">Tanggal Ditutup</label>
                            <div class="col-sm-8">
                                <input type="datetime-local" class="form-control" th:field="*{tanggalTutupPenilaianUlang}" name="tanggalTutupPenilaianUlang" id="tanggalTutupPenilaianUlang" onchange="cekTanggal()" required>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTUlangDay"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertTUlang"></span>
                                <span style="color: red; font-size: 10px; display: none; padding: 10px;" id="alertPenilaianUlang">Tanggal tutup penilaian ulang tidak boleh lebih kecil daripada tanggal buka penilaian ulang asesor.</span>
                            </div>
                        </div>

                    <input type="hidden" name="id" th:field="*{id}" id="id">

                </div>
                <div class="card-footer p-3">
                    <div class="row">
                        <div class="col-md-6">
                            <a class="btn btn-secondary">Kembali</a>
                        </div>
                        <div class="col-md-6" align="right">
                            <button type="submit" class="btn btn-success pull-right" id="btnSimpan" style="display: none;">Simpan</button>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>


</body>
</html>
<script th:inline="javascript">
    /*<![CDATA[*/


    function cekTanggal(){
        // tanggal semester
        var tanggalBSemester = document.getElementById('tanggalBukaSemester').value;
        var tanggalTSemester = document.getElementById('tanggalTutupSemester').value;

        var tglBukaSemester = new Date(tanggalBSemester);
        var tglTutupSemester = new Date(tanggalTSemester);

        var btSimpan = document.getElementById('btnSimpan');



        var alertDay = document.getElementById('alertBSemesterDay');
        if (tglBukaSemester.getDay() == 6){
            alertDay.style.display = 'block';
            alertDay.innerHTML = 'Tidak boleh hari sabtu';
        }else if(tglBukaSemester.getDay() == 0){
            alertDay.style.display = 'block';
            alertDay.innerHTML = 'Tidak boleh hari minggu';
        }else {
            alertDay.style.display = 'none';

        }

        var aDaySemesterTutup = document.getElementById('alertTSemesterDay');
        if (tglTutupSemester.getDay() == 6){
            aDaySemesterTutup.style.display = 'block';
            aDaySemesterTutup.innerHTML = 'Tidak boleh hari sabtu';
        }else if(tglTutupSemester.getDay() == 0){
            aDaySemesterTutup.style.display = 'block';
            aDaySemesterTutup.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aDaySemesterTutup.style.display = 'none';
        }

        var alertS = document.getElementById('alertSemester');
        if (tglBukaSemester > tglTutupSemester) {
            alertS.style.display = 'block';
        }else {
            alertS.style.display = 'none';
        }


        // tanggal Laporan
        var tanggalBLaporan = document.getElementById('tanggalBukaLaporan').value;
        var tanggalTLaporan = document.getElementById('tanggalTutupLaporan').value;

        var tglBukaLaporan = new Date(tanggalBLaporan);
        var tglTutupLaporan = new Date(tanggalTLaporan);

        var aBLaporan = document.getElementById('alertBLaporanDay');
        if (tglBukaLaporan.getDay() == 6){
            aBLaporan.style.display = 'block';
            aBLaporan.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglBukaLaporan.getDay() == 0){
            aBLaporan.style.display = 'block';
            aBLaporan.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aBLaporan.style.display = 'none';
        }

        var aTLaporan = document.getElementById('alertTLaporanDay');
        if (tglTutupLaporan.getDay() == 6){
            aTLaporan.style.display = 'block';
            aTLaporan.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglTutupLaporan.getDay() == 0){
            aTLaporan.style.display = 'block';
            aTLaporan.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aTLaporan.style.display = 'none';
        }


        var alertL = document.getElementById('alertLaporan');
        if (tglBukaLaporan > tglTutupLaporan) {
            alertL.style.display = 'block';
        }else {
            alertL.style.display = 'none';

            var alertInfo = document.getElementById('alertInfo');
            if (tglBukaLaporan == 'Invalid Date'){
                alertInfo.style.display = 'none';
            } else {
                alertInfo.style.display = 'block';
            }

            var alertC = document.getElementById('alertBuka');

            if (tglBukaSemester > tglBukaLaporan){
                alertC.style.display = 'block';
            }else {
                alertC.style.display = 'none';
            }

            var alertD = document.getElementById('alertTutup');
            if (tglTutupSemester < tglBukaLaporan){
                alertD.style.display = 'block';
            }else {
                alertD.style.display = 'none';
            }

            var alertE = document.getElementById('alertTutupLaporan');

            if (tglTutupSemester < tglTutupLaporan){
                alertE.style.display = 'block';
            }else {
                alertE.style.display = 'none';
            }
        }



        // tanggalBukaPenilaian
        var tanggalBPenilaian = document.getElementById('tanggalBukaPenilaian').value;
        var tanggalTPenilaian = document.getElementById('tanggalTutupPenilaian').value;

        var tglBukaPenilaian = new Date(tanggalBPenilaian);
        var tglTutupPenilaian = new Date(tanggalTPenilaian);

        var aBPenilaian = document.getElementById('alertBPenilaianDay');
        if (tglBukaPenilaian.getDay() == 6){
            aBPenilaian.style.display = 'block';
            aBPenilaian.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglBukaPenilaian.getDay() == 0){
            aBPenilaian.style.display = 'block';
            aBPenilaian.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aBPenilaian.style.display = 'none';
        }

        var aTPenilian = document.getElementById('alertTPenilaianDay');
        if (tglTutupPenilaian.getDay() == 6){
            aTPenilian.style.display = 'block';
            aTPenilian.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglTutupPenilaian.getDay() == 0){
            aTPenilian.style.display = 'block';
            aTPenilian.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aTPenilian.style.display = 'none';
        }

        var alertP = document.getElementById('alertPenilaian');


        if (tglBukaPenilaian > tglTutupPenilaian) {
            alertP.style.display = 'block';
        }else {
            alertP.style.display = 'none';

            var alertBp = document.getElementById('alertBPenilaian');
            if (tglTutupLaporan > tglBukaPenilaian){
                alertBp.style.display = 'block';
                alertBp.innerHTML = 'Tanggal buka penilaian tidak boleh lebih kecil daripada tanggal tutup laporan.';
            }else {
                alertBp.style.display = 'none';
            }

            var alertTp = document.getElementById('alertTPenilaian');
            if (tglTutupSemester < tglTutupPenilaian){
                alertTp.style.display = 'block';
                alertTp.innerHTML = 'Tanggal tutup penilaian tidak boleh melebihi tanggal tutup semester.';
            }else {
                alertTp.style.display = 'none';
            }
        }


        //tanggalBukaPerbaikan
        var tanggalBPerbaikan = document.getElementById('tanggalBukaPerbaikan').value;
        var tanggalTPerebaikan = document.getElementById('tanggalTutupPerbaikan').value;

        var tglBukaPerbaikan = new Date(tanggalBPerbaikan);
        var tglTutupPerebaikan = new Date(tanggalTPerebaikan);

        var aBPerbaikan = document.getElementById('alertBPerbaikanDay');
        if (tglBukaPerbaikan.getDay() == 6){
            aBPerbaikan.style.display = 'block';
            aBPerbaikan.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglBukaPerbaikan.getDay() == 0){
            aBPerbaikan.style.display = 'block';
            aBPerbaikan.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aBPerbaikan.style.display = 'none';
        }

        var aTPerbaikan = document.getElementById('alertTPerbaikanDay');
        if (tglTutupPerebaikan.getDay() == 6){
            aTPerbaikan.style.display = 'block';
            aTPerbaikan.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglTutupPerebaikan.getDay() == 0){
            aTPerbaikan.style.display = 'block';
            aTPerbaikan.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aTPerbaikan.style.display = 'none';
        }


        var alertPer = document.getElementById('alertPerbaikan');


        if (tglBukaPerbaikan > tglTutupPerebaikan) {
            alertPer.style.display = 'block';
        }else {
            alertPer.style.display = 'none';

            var aBPerbaikan = document.getElementById('alertBPerbaikan');
            if (tglTutupPenilaian > tglBukaPerbaikan){
                aBPerbaikan.style.display = 'block';
                aBPerbaikan.innerHTML = 'Tanggal buka perbaikan tidak boleh lebih kecil daripada tanggal tutup penilaian.';
            }else{
                aBPerbaikan.style.display = 'none';
            }

            var aTPperbaikan = document.getElementById('alertTPerbaikan');
            if (tglTutupSemester < tglTutupPerebaikan){
                aTPperbaikan.style.display = 'block';
                aTPperbaikan.innerHTML = 'Tanggal tutup perbaikan BKD tidak boleh melebihi tanggal tutup semester.';
            }else {
                aTPperbaikan.style.display = 'none';
            }
        }

        //tanggalBukaPenilaianUlang
        var tanggalBPenilaianUlang = document.getElementById('tanggalBukaPenilaianUlang').value;
        var tanggalTPenilaianUlang = document.getElementById('tanggalTutupPenilaianUlang').value;

        var tglBukaPenilaianUlaang = new Date(tanggalBPenilaianUlang);
        var tglTutupPenilaianUlang = new Date(tanggalTPenilaianUlang);

        var aBUlang1 = document.getElementById('alertBUlangDay');
        if (tglBukaPenilaianUlaang.getDay() == 6){
            aBUlang1.style.display = 'block';
            aBUlang1.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglBukaPenilaianUlaang.getDay() == 0){
            aBUlang1.style.display = 'block';
            aBUlang1.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aBUlang1.style.display = 'none';
        }

        var aTUlang2 = document.getElementById('alertTUlangDay');
        if (tglTutupPenilaianUlang.getDay() == 6){
            aTUlang2.style.display = 'block';
            aTUlang2.innerHTML = 'Tidak boleh hari sabtu';
        } else if(tglTutupPenilaianUlang.getDay() == 0){
            aTUlang2.style.display = 'block';
            aTUlang2.innerHTML = 'Tidak boleh hari minggu';
        }else {
            aTUlang2.style.display = 'none';
        }

        var alertUlang = document.getElementById('alertPenilaianUlang');


        if (tglBukaPenilaianUlaang > tglTutupPenilaianUlang) {
            alertUlang.style.display = 'block';
        }else {
            alertUlang.style.display = 'none';

            var aBUlang = document.getElementById('alertBUlang');
            if (tglTutupPerebaikan > tglBukaPenilaianUlaang){
                aBUlang.style.display = 'block';
                aBUlang.innerHTML = 'Tanggal buka penilaian ulang tidak boleh lebih kecil daripada tanggal tutup perbaikan BKD.';
            }else{
                aBUlang.style.display = 'none';
            }

            var aTUlang = document.getElementById('alertTUlang');
            if (tglTutupSemester < tglTutupPenilaianUlang){
                aTUlang.style.display = 'block';
                aTUlang.innerHTML = 'Tanggal tutup penilaian ulang BKD tidak boleh melebihi tanggal tutup semester.';
            }else {
                aTUlang.style.display = 'none';
            }



        }

        if (tglBukaSemester != 'Invalid Date' && tglTutupSemester != 'Invalid Date' && alertS.style.display == 'none' && alertDay.style.display == 'none' && aDaySemesterTutup.style.display == 'none' &&
            aBLaporan.style.display == 'none' && aTLaporan.style.display == 'none' && alertL.style.display == 'none' && alertC.style.display == 'none' && alertD.style.display == 'none' && alertE.style.display == 'none' &&
            tglBukaLaporan != 'Invalid Date' && tglTutupLaporan != 'Invalid Date' &&
            tglBukaPenilaian != 'Invalid Date' && tglTutupPenilaian != 'Invalid Date' && aBPenilaian.style.display == 'none' && aTPenilian.style.display == 'none' && alertP.style.display == 'none' &&
            alertBp.style.display == 'none' && alertTp.style.display == 'none' &&
            tglBukaPerbaikan != 'Invalid Date' && tglTutupPerebaikan != 'Invalid Date' && aBPerbaikan.style.display == 'none' && aTPerbaikan.style.display == 'none' && alertPer.style.display == 'none' &&
            tglBukaPenilaianUlaang != 'Invalid Date' && tglTutupPenilaianUlang != 'Invalid Date' && alertUlang.style.display == 'none' && aBUlang1.style.display == 'none' && aTUlang2.style.display == 'none' &&
            aTUlang.style.display == 'none' && aBUlang.style.display == 'none'){
            btSimpan.style.display = 'block';
        } else {
            btSimpan.style.display = 'none';
        }


    }


    /*]]>*/
</script>